# What’s new in this Version

# Please Note:
#   Updating EasyTau version 1.x to the latest version (2+) is not free of charge.
#   Please contact our sales team at info@picoquant.com to receive information about the update. 

- EasyTau Software version 2.5.3555 March 2026:
  - General:
    - NEW: Fitting im Customized Scripting
    - NEW: Offline Customized Mode Script Editor
    - NEW: Create Database from existing FluoTime for Offline Editor
    - FIX: Better Handling of multiple Laser sources
    - FIX: Excitation Wizards with Xe Lamp and Taiko as Sync Source

################################################################################

- EasyTau Software version 2.4.3500 April 2025:
  - Hardware:
    - CHG: Updated Sepia2 DLL
    - FIX: Fixes for new Prima Firmware
    
################################################################################

- EasyTau Software version 2.3.3490 January 2025:
  - Wizards:
    - FIX: Quantum Yield Wizard with PicoHarp 330

################################################################################

- EasyTau Software version 2.3.3483 November 2024:
  - General:
    - CHG: Support for PicoHarp 330 4P
    - FIX: Misleading error message when no PDL 820 is attached
  - Plot:
    - ADD: Chromaticity calculation
    - ADD: Chromaticity Plot
  - Workspace:
    - FIX: ASCII Import minor bugfixes

################################################################################

- EasyTau Software version 2.3.3408 July 2023:
  - General:
    - ADD: Support for PicoHarp 330
  - Wizards:
    - FIX: Bugfix of Xe-Lamp Measurements with PDL800D
    - FIX: Bugfix of Xe-Lamp Measurements with Taiko
  - Scripting:
    - FIX: Prevent Error message on SetMeasDevices() 

################################################################################

- EasyTau Software version 2.3.3392 July 2023:
  - General:
	  - ADD: Support for Taiko Laser driver
    - ADD: Support for Prima Laser driver
		- CHG: Switching laser driver in run time
  - Wizards:
    - FIX: Quantum Yield Wizard calculation
    - CHG: Phosphorescence Wizard uses burst generation at start already
  - Customized Mode:
    - CHG: Burst Settings change to duty cycle instead of number of pulses
    - FIX: Correct excitation polarization in files
  - Scripting:
    - ADD: New Call SetLightsourceHead() to set the currently active laser head

################################################################################

- EasyTau Software version 2.2.3312 July 2022:
  - General:
	  - CHG: PDL 820 Driver change, old driver (2.2.3293 and before) and new driver (2.2.3311+) are not compatible
		- ADD: PDL 820 driver installed by Installer
  - Hardware: 
	  - FIX: PDL 820 Lib 1.2

################################################################################    

- EasyTau Software version 2.2.3293 April 2020:
  - General:
    - CHG: FluoTime Driver change, old driver (2.1 and before) and new driver (2.2+) are not compatible
    - FIX: Excitation Attenuator status in curve meta data
    - NEW: Measurement time in every measured decay curve
    - CHG: sync rate in gray if syncrate is very low (<10 Hz) and unsure if the Value is valid
    
  - Wizards
    - CHG: Close shutter when scanning across excitation wave length or 2nd order on Excitation Emission Map Wizard
    - CHG: Scale emission spectrum to full height on quantum yield wizard measurement
    - CHG: Phosphorescence Wizard uses burst excitation for all laser measurements
    - FIX: Switch Grating between "+" and "-" (double monochromator)
    - FIX: Better handling of intensity optimization on very low sync rates (<10Hz)
    
  - Customized Mode:
    - NEW: Every Curve contain the complete settings of the system as Script
    - NEW: Every Curve can restore the settings it is created with, sets them in Customized mode
    - NEW: Optimizer checks for open lid
    - FIX: Optimizer do not limits by the 1% rule when Nano-Card is selected (TimeHarp260N or TimeHarp260P in long range mode)
    - FIX: Prepare IRF with TLC50

  - Plot:
    - NEW: Configured Export of TopView 2D Plot
    
  - Scripting:
    - NEW: Script variable GetTickCount for milliseconds timing
    - CHG: Delay() takes a Float parameter for the delay
    - NEW: Concatenate two strings with / results in a multi-line string
    - NEW: Call GetCurveParam() to read float meta parameter from any curve
    - NEW: Variable in Plot script, NumCurves number of available raw curves
    - NEW: Calls ExportAsASCII() and ImportASCII() for direct import and export of curves inside a script
    - NEW: Call StartProgram() to start an external program from scripts
    - NEW: Support for modulo operator (%)
    - NEW: Example Script Polarization spectrum scan
    - CHG: Example Script Time Gated Spectra Measurement improved
    - NEW: Example Script Intensity Time Trace with Sample Changer
    
  - Fitting:
    - NEW: Report fit grid contains the open meta parameter and additional fit results
    - CHG: Better initial parameter search

  - Hardware:
    - FIX: TimeHarp 260 3.2 Lib  
    
################################################################################    
    
- EasyTau Software version 2.1.3183 April 2019:

  - Customized Mode:
    - NEW: time-resolved scan for TRES type customized mode measurements
    - NEW: Popup menu for all curve lists with Select all/Deselect all/Toggle
    - CHG: Mark curve as IRF via popup menu
    - CHG: Start IRF measurement via separate button
    - CHG: Some Field changes does not need Apply button press (ComboBox, Radio button)
    - NEW: PDL settings in device list
    
  - Scripting:
    - NEW: Call Input() for user input inside scripts
    - NEW: Call SetMeasDevices() for switching light source, detector and TCSPC in scripts
    - NEW: Warn the user when starting a script with SaveToWorkspace() but not workspace open
    - NEW: Set burst and CW of PDL820 via scripting
    - CHG: PDL820 settings directly available at light source device
  
  - Remote Interface:
    - FIX: IPv6 Fixes
    
  - Plot:
    - NEW: More configuration parameter for image export
    - CHG: improved ASCII export
    - FIX: keep zoom on marker move in 2D view
   
  - Fitting:
    - NEW: HTML Report uses inline images (no extra folder for images needed)
    - NEW: Background and IRF background as marker in plot
    
  - Workspace:
    - NEW: Close all analysis windows when new workspace is loaded
    - CHG: ASCII Export from workspace get name from the raw data file
    - FIX: Rename file to same file name

################################################################################    
    
- EasyTau Software version 2.0.3028 June 2018:

  - General:
    - NEW: EasyTauViewer, a Viewer for EasyTau Container
    - NEW: Demo workspace
    - REM: FluoFit removed
    - CHG: New Dongle needed
    - CHG: Support Text format
    - NEW: ASCII Export from every plot
  
  - Fitting:
    - NEW: Integrated Fit Window with new easy to use GUI
    - NEW: Preview parameter plot for easy data navigation
    - NEW: TailFit and Reconvolution Exponential fit model
    - NEW: Anisotropy Decay and Anisotropy Reconvolution fit model
    - NEW: Distribution fit models (Gauss, Lorentz, Stretched)
    - NEW: Parameter Plot for all measurement and fit parameters
    - NEW: Import Data via Clipboard from PicoHarp, HydraHarp, TimeHarp260 Software
    - NEW: Bootrap error analysis
    - NEW: Autocorrelation plot
    - NEW: Global fit
    - NEW: Configurable Report with printing and HTML export
	
  - Workspace:
    - FIX: Histogram File import (e.g. phd, hhd)
    - NEW: Import PHU Files
    - FIX: ASCII Import

  - Wizards:
    - NEW: Pause function for Intensity Time Trace Wizard
    - CHG: Separate calibration curves for Quantum Yield Wizard
	
  - Scripting:
    - List of script files for quick access
	
  - Hardware:
    - REM: NanoHarp 250 support removed (File import remains possible)
    - FIX: USB Driver updated
    - FIX: TimeHarp 260 3.1.0.3 Lib

################################################################################
################################################################################

- EasyTau Software version 1.4.2568 October 2017:

  - Hardware:
    - FIX: TimeHarp 260 3.1.0.2 Lib
    - FIX: incomplete measurement results with New TimeHarp 260 Hardware

################################################################################

- EasyTau Software version 1.4.2478 May 2017:

  - General:
    - CHG: New PicoQuant telefon numbers

  - Hardware:
    - FIX: TimeHarp 260 3.1.0.0 Lib

################################################################################

- EasyTau Software version 1.4.2463 January 2017:

  - Remote Interface:
    - NEW: execute scripts via remote interface
    - NEW: move FluoTime 300 devices via remote interface
    - NEW: Create a new Workspace or open Workspace via remote
    - NEW: restrict access to remote interface to known IP adresses

  - Wizards:
    - NEW: Phosphorescence Wizard, measure longer life time with Laser excitation
    - CHG: Optimized Quantum Yield Wizard flow for low quantum yield and many samples
    - FIX: Emission Anisotropy Wizard is able to check HV/HH polarization
    - FIX: Excitation polarization change is shown in LiveView

  - Customized Mode/Scripting:
    - NEW: Remote interface page, with script list and ip definition
    - NEW: Calls to use Optimizer in scripting
    - NEW: Sync and Countrate as script variables
    - NEW: Script call for easy Intensity measurement
    - NEW: Indicator if script was changed
    - NEW: Check scripts for syntax errors
    - NEW: Save script directly without asking for a filename
    - NEW: Prepare for IRF window for easier IRF measurements
    - CHG: Redesigned Burst mode window, improved Help
    - NEW: Set Defaults Button in Burst mode to prepare the system for
           burst mode generation
    - CHG: A click to a device in deviceview flashes the corresponding entry
           in the device list
    - FIX: FluoFit transfer with incomplete anisotropy data
    - FIX: Script highlighting for comments and internal variables
    - FIX: Correction curve for undefined polarization

  - Workspace:
    - NEW: Change Sample|Solvent for a group of measurements
    - FIX: Workspace loading time
    - FIX: Popupmenu file selecting
    - FIX: Prevent empty Sample Solvent
    - FIX: Skip broken Files

  - Plot:
    - NEW: define ASCII output number format
    - FIX: ASCII output header text
    - CHG: Easier to use FWHM tool
    - FIX: Drawing speed for curve series

  - Hardware:
    - FIX: TimeHarp 260 3.1.0.0 Lib
    - NEW: FluoTime 300 Hardware errors to support text
    - FIX: TimeHarp/HydraHarp Channel 2 selecting

################################################################################

- EasyTau Software version 1.3.2243 December 2015:

  - Hardware:
    - FIX: Enhanced Boost-Eco mode switch on Excitation scan using Solea

################################################################################

- EasyTau Software version 1.3.2224 October 2015:

  - Optimizer:
    - FIX: Prevent overloads on optimize singal with NIR-PMTs and MCPs

  - Hardware:
    - FIX: PicoHarp 3.0.0.3 Lib

################################################################################

- EasyTau software version 1.3.2211 September 2015:

  - General:
    - FIX: Support Dialog shows all Wizards version number
    - CHG: Support Text is in a YAML compatible format

  - Hardware:
    - NEW: Support for removable polarizers (EasyTau is able to recognize polarizer removal)
    - CHG: Faster PDL communication
    - ADD: Added usual TCSPC libraries to default installation
    - ADD: Trigger Solea with the attached PDL
    - FIX: TCSPC Settings revert improved

  - Wizards:
    - ADD: Every Wizard creates an ready-to-use Script for the customized mode scripting engine
    - ADD: Solea support for all Excitation Scan Wizards
    - FIX: Wrong sample holder position in TRES-IRF measurement
    - FIX: Integration time zero not allowed anymore
    - ADD: Maximum initial slit width default value for TRES to prevent detector overloads
           when scanning with large step width
    - FIX: Spectrum plots disappearing on zero counts
    - FIX: Emission map wizards optimizer improvement on weak signals
    - FIX: Formula bugfix for measurements with magic angle

  - Customized Mode/Scripting:
    - CHG: Better Syntax higlighting
    - ADD: Code completition and parameter view for every function
    - ADD: Buttons for easier adding of commands to script with parameter input
    - ADD: Calls StoreAsDecay(); and StoreAsIRF(); store curves as decay or IRF to list
    - ADD: Call DeleteAllCurves(); to clear all curves in all lists
    - ADD: Call SaveToWorkSpace(); save all curves in all lists to a Workspace Container
    - ADD: Call StoreRefCurve(); load a reference curve and put to spectrum list
    - ADD: Variable Formula; contains the formula saved to the Container (on SaveToWorkspace)
    - ADD: Variable Comment; contains the comment for a curve stored to a list (on StoreAs...)
    - ADD: Click to Laser in the diagram opens signal path/laser settings

  - Workspace:
    - ADD: Load script from a data file via popup menu
    - FIX: Renaming of custom measurements

  - Plot:
    - ADD: Check/Uncheck all curves
    - ADD: FWHM calculation

################################################################################

- EasyTau software version 1.2.1863 March 2014:

  - General:
    - FIX: Flickering PlotBox
    - FIX: Saving to Workspace on Workspace change

  - Hardware:
    - NEW: Solea Support
    - CHG: PicoHarp300 Library Version 3 with Sync Offset support
    - FIX: NanoHarp250 FastMode Binning
    - FIX: Trigger edge Sepia2-SLM Modules

  - Customized Mode/Oscilloscope/Live View:
    - FIX: Update Scan ranges on grating change

################################################################################

- EasyTau software version 1.1.1801 November 2013:

  - General:
    - FIX: TCSPC CFD Settings saving and restoring
    - FIX: SepiaII with SLM in port 900
    - FIX: Help for new Wizards
    - FIX: Minimum waiting time in time course spectrum wizards
    - FIX: Formula in Excitation Emission Map corrected
    - FIX: Customized mode button does not change customized mode page

################################################################################

- EasyTau software version 1.1.1748 October 2013:

  - General:
    - FIX: Removed unnessecary alarms
    - FIX: Better handling of sample holder alarms
    - NEW: Announce missing TCSPC/PDL on startup
    - NEW: Automatic Sync Divider setting
    - CHG: New steady-state wizard icons

  - Hardware:
    - NEW: TimeHarp260P Long Range support
    - NEW: Optistat Cryostat support

  - Customized Mode/Oscilloscope/Live View:
    - NEW: Warnings
    - NEW: Optimizer functions in Customized Mode
    - CHG: Excitation window joined with Detection window to Signal Path
    - CHG: Redesign Signal path with PDL820 and TCSPC Settings
    - NEW: Slow pulses with PDL820, frequencies from 4 Hz to 80 Mhz available
    - NEW: Burst mode with PDL820
    - NEW: CW-Mode for steady-state measurements available (only supported heads)
           Will be shown in LiveView as well as "cw" next to the Lightsource name
    - FIX: Better handling of monochromator ranges
    - NEW: Automatic output port adjustment when detector is changed in Signal Path
    - NEW: Scaling of plots
    - NEW: Show total counts of a time resolved measurement (title of plot)
    - NEW: Show properties of a time resolved measurement (Show Details)
    - NEW: Save measurement without clearing the curve list (Save)
    - NEW: Update name/solvent/comment of a curve (Update Name)
    - CHG: Device list:most important value stays visible even the popup is closed
    - NEW: Bandwidth field for Monochromator to directly set the bandwith and
           move all slits at once
    - NEW: Show pile up rate in Live View
    - CHG: Live View fields ordering
    - NEW: Double click on sync rate in Live View opens Signal Path
           (Double click on count rate in Live View opens oscilloscope as before)
    - NEW: Live View:Lock status of PDL820 next to the lightsource name
           (laser warning sign)
    - NEW: Live View:Status of current detector as colored LED next to detector name
           (black = closed, green = open, red = overload)

  - Workspace:
    - NEW: Comments for measurement
    - CHG: Sample and Solvent name can be changed after the measurement
    - NEW: Compose a new Container from selected Curves
    - NEW: ASCII export configuration

  - Analysis:
    - NEW: 2D contour plot (Top View)
    - FIX: Reopen plot with deselected Curves
    - CHG: Formel area resizeable
    - FIX: Increased calculation speed
    - CHG: No automatic peak search (faster drawing/calculation)
    - NEW: Peak Calculate Button to perform a peak search of the calculated curves
    - NEW: Curve measurement properties
    - CHG: Show series parameter at every curve, if available

  - Wizards:
    - NEW: Wizard Quantum Yield Wizard (Needs Integrating Sphere sample holder
           and a TimeHarp260)
    - NEW: Temperature resolved Emission Spectrum (Needs a temperature controlled
           sample holder)
    - NEW: Excitation Emission Map (Needs steady-state option)
    - FIX: Laser locked warning on Peak Search
    - CHG: Fixed TCSPC bin width in Anisotropy Wizard (System Constant)
    - NEW: Additonal scaled spectrum in Excitation Anisotropy Spectrum results
    - CHG: Move Detection Filter wheel to first position (Empty) for IRF
           measurements
    - FIX: Peak Search with Xe-Lamp
    - FIX: Optimizer with syncrates < 300 Hz

  - Installer:
    - FIX: Dongle Installer working at Windows 7/8
    - CHG: Choose hardware options. Only installs the Wizards which will work with
           the system

################################################################################

- EasyTau software version 1.0.1332  September 2012:

  - General:
    - FIX: error message on program exit removed

  - Hardware:
    - NEW: TimeHarp260P and TimeHarp260N support
    - NEW: HydraHarp V2 support
    - FIX: NanoHarp250 fast mode binning and measurement
    - FIX: HydraHarp measuring with channel number > 1

  - Oscilloscope:
    - FIX: overflow removed when no average tau can be calculated from TCSPC
           signal

  - Customized Mode/Live View:
    - NEW: Snapshot button for long time resolved measurements, saves the
           current measured decay but does not stop the measurement
    - FIX: sorting of devices in parameter list by optical path (can be disabled
           in system settings)
    - FIX: click on a device jump to first parameter of device in parameter list
    - FIX: binning of TCSPC on boot up
    - FIX: resolution/binning in "Customized Mode" and "Live View" scaled to
           optimal unit
    - FIX: polarization display in live view
    - FIX: a change from laser to Xe lamp or vice versa in excitation window
           sets the switches for TCSPC and sync

  - Plot:
    - FIX: speed increase
    - FIX: initial start of plot only the first 10 curves enabled for ploting
           (value can be changed in system settings)
    - NEW: popup menu to select/unselect all curves or invert selection
    - FIX: Intensity Trace Wizard result with x axis title and unit

################################################################################

- EasyTau software version 1.0.1268 November 2011:

  - Decay Wizards:
    - improved optimization of the automatic laser frequency selection

  - Customized Mode:
    - power diode readout can be recorded during steady-state measurements
    - emission correction function is stored when emission monochromator is
      scanned during a steady-state measurement
    - easier scripting interface, names are copied automatically into the
      script window by clicking on the appropiate name in the left panel

  - Hardware:
    - improved stability for automatic sample changer
